> ## Documentation Index
> Fetch the complete documentation index at: https://docs.a-char.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List audit logs

> Paginated audit log entries for the authenticated organization, ordered by most recent first. Supports filtering by resource type and action, and searching by actor name. Requires the `audit-logs:read` scope.



## OpenAPI

````yaml /openapi.json post /audit-logs
openapi: 3.1.1
info:
  title: A-Char API
  version: 1.0.0
  description: 'Authenticate with `Authorization: Bearer <api key>`.'
servers:
  - url: https://a-char.com/api/v1
security:
  - bearerAuth: []
paths:
  /audit-logs:
    post:
      tags:
        - Audit Logs
      summary: List audit logs
      description: >-
        Paginated audit log entries for the authenticated organization, ordered
        by most recent first. Supports filtering by resource type and action,
        and searching by actor name. Requires the `audit-logs:read` scope.
      operationId: audits.list
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                pageIndex:
                  type: integer
                  minimum: 0
                pageSize:
                  type: integer
                  minimum: 1
                search:
                  type: string
                sort:
                  type: object
                  properties:
                    id:
                      type: string
                    desc:
                      type: boolean
                  required:
                    - id
                    - desc
                filters:
                  type: object
                  properties:
                    resourceTypes:
                      type: array
                      items:
                        enum:
                          - goals
                          - departments
                          - sites
                          - positions
                        type: string
                    actions:
                      type: array
                      items:
                        enum:
                          - create
                          - update
                          - delete
                          - check_in
                        type: string
              required:
                - pageIndex
                - pageSize
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  rows:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        resource_id:
                          type: string
                          format: uuid
                        resource_type:
                          enum:
                            - goals
                            - departments
                            - sites
                            - positions
                          type: string
                        resource_action:
                          enum:
                            - create
                            - update
                            - delete
                            - check_in
                          type: string
                        meta_data:
                          anyOf:
                            - anyOf:
                                - anyOf:
                                    - type: string
                                    - type: number
                                    - type: boolean
                                    - type: 'null'
                                - type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                                - type: array
                                  items:
                                    anyOf:
                                      - {}
                                      - type: 'null'
                            - type: 'null'
                        previous_hash:
                          anyOf:
                            - type: string
                            - type: 'null'
                        current_hash:
                          type: string
                        created_at:
                          type: string
                          format: date-time
                          x-native-type: date
                        updated_at:
                          anyOf:
                            - type: string
                              format: date-time
                              x-native-type: date
                            - type: 'null'
                        organization_id:
                          anyOf:
                            - type: string
                            - type: 'null'
                        created_by:
                          type: object
                          properties:
                            id:
                              type: string
                            first_name:
                              type: string
                            middle_name:
                              anyOf:
                                - type: string
                                - type: 'null'
                            last_name:
                              type: string
                            display_name:
                              type: string
                            email:
                              type: string
                            image_url:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - id
                            - first_name
                            - middle_name
                            - last_name
                            - display_name
                            - email
                            - image_url
                      required:
                        - id
                        - resource_id
                        - resource_type
                        - resource_action
                        - meta_data
                        - previous_hash
                        - current_hash
                        - created_at
                        - updated_at
                        - organization_id
                        - created_by
                  total:
                    type: integer
                required:
                  - rows
                  - total
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.